## com.bbn.openmap.util
Interface DataBoundsProvider

All Known Implementing Classes:
  ASRPLayer, EsriPlugIn, ScenarioGraphicLoader, ShapeLayer

public interface DataBoundsProvider

An interface describing a Component that can provide basic information about the area its data covers.

Method Summary
`DataBounds` `getDataBounds()` Returns a DataBounds object describing the area of coverage.
`java.lang.String` `getName()` A pretty name for the boundary, suitable for a GUI.

Method Detail

### getDataBounds

    public DataBounds getDataBounds()

  Returns a DataBounds object describing the area of coverage. May be null if the data hasn't been evaluated yet.

### getName

    public java.lang.String getName()

  A pretty name for the boundary, suitable for a GUI.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details